package com.loafle.overflow.email.model;

import com.loafle.overflow.member.model.Member;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by geek@loafle.com on 17. 6. 6.
 */
@SuppressWarnings("serial")
@Entity(name="EMAIL_AUTH")
public class EmailAuth implements Serializable {

    @Id
    @GeneratedValue(strategy= GenerationType.IDENTITY)
    private Long id;

    @ManyToOne
    @JoinColumn(name = "MEMBER_ID", nullable=false)
    private Member member;

    @Column(name="AUTH_TOKEN", unique=true, nullable=false)
    private String authToken;

    @Column(name = "IS_INVALID")
    private Boolean isInvalid;

    @Column(name = "IS_CONFIRM")
    private Boolean isConfirm;

    @Column(name = "CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
    private Date createDate;

    @Column(name = "UPDATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = true)
    private Date updateDate;

    @Column(name = "CONFIRM_DATE")
    private Date confirmDate;

    public EmailAuth() {

    }

    public EmailAuth(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Member getMember() {
        return member;
    }

    public void setMember(Member member) {
        this.member = member;
    }

    public String getAuthToken() {
        return authToken;
    }

    public void setAuthToken(String authToken) {
        this.authToken = authToken;
    }

    public Boolean getIsInvalid() {
        return isInvalid;
    }

    public void setIsInvalid(Boolean invalid) {
        isInvalid = invalid;
    }

    public Boolean getIsConfirm() {
        return isConfirm;
    }

    public void setIsConfirm(Boolean confirm) {
        isConfirm = confirm;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Date getConfirmDate() {
        return confirmDate;
    }

    public void setConfirmDate(Date confirmDate) {
        this.confirmDate = confirmDate;
    }
}
